import 'bankDetailsPayload.dart';

class BankAccountDetailsResponse {
  String? statusCode;
  String? message;
  BankAccountDetails? rows;
  int? total;

  BankAccountDetailsResponse(
      {this.statusCode, this.message, this.rows, this.total});

  BankAccountDetailsResponse.fromJson(Map<String, dynamic> json) {
    statusCode = json['statusCode'];
    message = json['message'];
    rows = json['rows'] != null
        ? new BankAccountDetails.fromJson(json['rows'])
        : null;
    total = json['total'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['statusCode'] = this.statusCode;
    data['message'] = this.message;
    if (this.rows != null) {
      data['rows'] = this.rows!.toJson();
    }
    data['total'] = this.total;
    return data;
  }
}
