class BusinessLocationDetail {
  int? businessId;
  int? peronId;
  String? address;
  String? country;
  String? state;
  String? city;
  String? area;
  String? postalCode;
  String? lat;
  String? lon;

  BusinessLocationDetail(
      {this.businessId,
      this.address,
      this.country,
      this.state,
      this.city,
      this.area,
      this.lat,
      this.lon,
      this.postalCode});

  BusinessLocationDetail.fromJson(Map<String, dynamic> json) {
    businessId = json['business_id'];
    peronId = json['person_id'];
    address = json['address'];
    country = json['country'];
    state = json['state'];
    city = json['city'];
    area = json['area'];
    lat = json['latitude'];
    lon = json['longitude'];
    postalCode = json['postal_code'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['business_id'] = this.businessId;
    data['address'] = this.address;
    data['country'] = this.country;
    data['person_id'] = this.peronId;
    data['state'] = this.state;
    data['city'] = this.city;
    data['area'] = this.area;
    data['latitude'] = this.lat;
    data['longitude'] = this.lon;
    data['postal_code'] = this.postalCode;
    return data;
  }
}
