import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ButtonWithRoundCornersWithBoarder extends StatelessWidget {
  final String actionText;
  final Function clickCallBack;

  const ButtonWithRoundCornersWithBoarder(
      {Key? key, required this.actionText, required this.clickCallBack})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return OutlinedButton(
      onPressed: null,
      style: ButtonStyle(
        shape: MaterialStateProperty.all(
            RoundedRectangleBorder(borderRadius: BorderRadius.circular(30.0))),
      ),
      child: Text(actionText),
    );
  }
}
