import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:loyalty_management_tool/loyalty_management_tool.dart';

void main() {
  const MethodChannel channel = MethodChannel('loyalty_management_tool');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await LoyaltyManagementTool.platformVersion, '42');
  });
}
