class BankAccountDetails {
  String? ownerType;
  int? ownerId;
  String? country;
  String? accountType;
  String? accountNumber;
  String? ifscCode;
  String? accountHolderName;
  String? upiId;

  BankAccountDetails(
      {this.ownerType,
      this.ownerId,
      this.country,
      this.accountType,
      this.accountNumber,
      this.ifscCode,
      this.accountHolderName,
      this.upiId});

  BankAccountDetails.fromJson(Map<String, dynamic> json) {
    ownerType = json['owner_type'];
    ownerId = json['owner_id'];
    country = json['country'];
    accountType = json['account_type'];
    accountNumber = json['account_number'];
    ifscCode = json['ifsc_code'];
    accountHolderName = json['account_holder_name'];
    upiId = json['upi_id'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['owner_type'] = this.ownerType;
    data['owner_id'] = this.ownerId;
    data['country'] = this.country;
    data['account_type'] = this.accountType;
    data['account_number'] = this.accountNumber;
    data['ifsc_code'] = this.ifscCode;
    data['account_holder_name'] = this.accountHolderName;
    data['upi_id'] = this.upiId;
    return data;
  }
}
